<?


include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

include_once 'sys/inc/thead.php';


echo "<div class='title'>Регистрация</div>\n";

if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!ereg('mail\.php',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',ereg_replace('^http://[^/]*/','/', $_SERVER['HTTP_REFERER']));


if ($set['reg_select']=='close')
{
$err='Регистрация временно приостановлена';
err();

echo "<a href='/aut.php'>Авторизация</a><br />\n";
include_once 'sys/inc/tfoot.php';
}
elseif($set['reg_select']=='open_mail' && isset($_GET['id']) && isset($_GET['activation']) && $_GET['activation']!=NULL)
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['id'])."' AND `activation` = '".mysql_real_escape_string($_GET['activation'])."'"),0)==1)
{
mysql_query("UPDATE `user` SET `activation` = null WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
$user=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"));
msg('Ваш аккаунт успешно активирован');

$_SESSION['id_user']=$user['id'];
include_once 'sys/inc/tfoot.php';
}
}

if (isset($_SESSION['step']) && $_SESSION['step']==1 && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` = '".$_SESSION['reg_nick']."'"),0)==0 && isset($_POST['pass1']) && $_POST['pass1']!=NULL)
{

if ($set['reg_select']=='open_mail')
{
if (!isset($_POST['ank_mail']) || $_POST['ank_mail']==NULL)$err[]='Необходимо ввести Email';
elseif (!eregi('^[^@]*@[^@]*\.[^@]*$',$_POST['ank_mail']))$err[]='Неверный формат Email';
}


if (strlen2($_POST['pass1'])<6)$err[]='По соображениям безопасности пароль не может быть короче 6-ти символов';
if (strlen2($_POST['pass1'])>32)$err[]='Длина пароля превышает 32 символа';
//if (!isset($_SESSION['chislo']) || !isset($_POST['chislo']) || $_SESSION['chislo']!=$_POST['chislo']){$err[]='Неверное проверочное число';}

if (!isset($err))
{
if ($set['reg_select']=='open_mail')
{
$activation=md5(passgen());
mysql_query("INSERT INTO `user` (`nick`, `pass`, `date_reg`, `date_last`, `pol`, `activation`, `ank_mail`) values('".$_SESSION['reg_nick']."', '".shif($_POST['pass1'])."', '$time', '$time', '".intval($_POST['pol'])."', '$activation', '".mysql_real_escape_string($_POST['ank_mail'])."')",$db);



$subject = "Активация аккаунта";
$regmail = "Здравствуйте $_SESSION[reg_nick]<br />
Для активации Вашего аккаунта перейдите по ссылке:<br />
<a href='http://$_SERVER[HTTP_HOST]/reg.php?id=".mysql_insert_id()."&amp;activation=$activation'>http://$_SERVER[HTTP_HOST]/reg.php?id=".mysql_insert_id()."&amp;activation=$activation</a><br />
Если аккаунт не будет активирован в течении 24 часов, он будет удален<br />
С уважением, администрация сайта Aclove.Ru<br />
";
$adds="From: \"password@$_SERVER[HTTP_HOST]\" <password@$_SERVER[HTTP_HOST]>\n";
//$adds = "From: <$set[reg_mail]>\n";
//$adds .= "X-sender: <$set[reg_mail]>\n";
$adds .= "Content-Type: text/html; charset=utf-8\n";
mail($_POST['ank_mail'],$subject,$regmail,$adds);

}
else
{
if (intval($_GET['id']))mysql_query("INSERT INTO `user` (`nick`, `pass`, `date_reg`, `date_last`, `pol`, `id_part`) values('".$_SESSION['reg_nick']."', '".shif($_POST['pass1'])."', '$time', '$time', '".intval($_POST['pol'])."', '".intval($_GET['id'])."')",$db);
else
mysql_query("INSERT INTO `user` (`nick`, `pass`, `date_reg`, `date_last`, `pol`) values('".$_SESSION['reg_nick']."', '".shif($_POST['pass1'])."', '$time', '$time', '".intval($_POST['pol'])."')",$db);
}


$user=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `nick` = '".mysql_real_escape_string($_SESSION['reg_nick'])."' AND `pass` = '".shif($_POST['pass1'])."' LIMIT 1"));

$q2=mysql_query("SELECT `type` FROM `accesses` WHERE `level` <= '$user[level]'");
while ($ank2 = mysql_fetch_array($q2))
{
mysql_query("INSERT INTO `user_acсess` (`id_user`, `type`) VALUES ('$user[id]','$ank2[type]')");
}




if ($set['reg_select']=='open_mail')
{
msg('Вам необходимо активировать Ваш аккаунт по ссылке, высланной на Email');
}
else
{
$_SESSION['id_user']=$user['id'];
setcookie('id_user', $user['id'], time()+60*60*24*365);
setcookie('pass', cookie_encrypt($_POST['pass1'],$user['id']), time()+60*60*24*365);

msg('Регистрация прошла успешно');
$time = time();
mysql_query("INSERT INTO `konts` (`id_kont`, `id_user`, `time`) values('1', '$user[id]', '$time')"); 

$msg4="Скоро у Тебя будет своя страничка, перейти на которую Ты сможешь по адресу ник.aclove.ru Не жди, что тебе сразу начнут писать. Если хочешь быстро с кем-нибудь познакомиться, нужно самому проявить активность.\n Зайди в раздел Дневники и оставь комментарий в чьей-нибудь записи. Например, что ты новичок, и будешь рад новым знакомствам.\n Обитатели $_SERVER[HTTP_HOST] обычно дружелюбны, и рады новым комментариям в их дневниках."; 
$msg5="Также можешь написать что-нибудь в своем собственном дневнике. Комментарии появятся не сразу, но если писать интересно, то тебя обязательно заметят."; 
$msg6="Сходи в Форум и почитай, что обсуждают люди в данный момент. Если какая-то тема тебя заинтересует, не стесняйся оставить в ней свой комментарий.. И еще, если не настроил время, сделай это обязательно для правильной работы сайта! Не все живут по такому же времени как у тебя!"; 

mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('1', '$user[id]', '$msg6', '$time')"); 
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('1', '$user[id]', '$msg5', '$time')"); 
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('1', '$user[id]', '$msg4', '$time')"); 
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('1', '$user[id]', 'Добро пожаловать в мир яркого общения. Здесь ты сможешь найти новых друзей, и с интересом провести время. Мы рады приветствовать тебя на нашем сайте', '$time')"); 
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+300)."',`rating`='".($user['rating']+2)."' WHERE `id` = '$user[id]' LIMIT 1");
}

echo 'Если Ваш браузер не поддерживает Cookie, Вы можете создать закладку для автовхода<br/>';
echo '<input type="text" value="http://'.$_SERVER['HTTP_HOST'].'/?id='.$user['id'].'&amp;pass='.htmlspecialchars($_POST['pass1']).'"/><br/>';

if($set['reg_select']=='open_mail'){
	unset($user);
	}

echo '&#187;&nbsp;<a href="/info.php?id='.$user['id'].'">Моя страничка</a><br/>';
echo '</div>';
include_once 'sys/inc/tfoot.php';
}
}
elseif (isset($_POST['nick']) && $_POST['nick']!=NULL )
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` = '".mysql_real_escape_string(esc($_POST['nick']))."'"),0)==0)
{
$nick=mysql_real_escape_string(esc($_POST['nick']));

if (ereg("\=|\+|\{|\}|\(|\)|\ |\*|\Admin|/|//|\|\\| |\[|\]|\admin|\sistema|\Sistema|\Админ|\админ|\Система|\система|\^|\%|\\$|#|@|!|&|\~|'|\"|:|;|`|,|\.|\?|<|>",$nick))$err='В нике присутствуют запрещенные символы';
if (strlen2($nick)<3)$err='Короткий ник';
if (strlen2($nick)>20)$err='Длина ника превышает 32 символа';



}

else $err='Ник "'.esc(stripcslashes(htmlspecialchars($_POST['nick']))).'" уже зарегистрирован';


if (!isset($err)){
$_SESSION['reg_nick']=$nick;
$_SESSION['step']=1;
msg ("Ник \"$nick\" может быть успешно зарегистрирован");
}
}

err();



if (isset($_SESSION['step']) && $_SESSION['step']==1){
echo "<span class=\"ank_n\">Ваш ник:</span> <span class=\"ank_d\">$_SESSION[reg_nick]</span><br />\n";
if (intval($_GET['id']))echo "<form method='post' action='/reg.php?id=$_GET[id]'>\n";
else
echo "<form method='post' action='/reg.php?'>\n";
if ($set['reg_select']=='open_mail')
{
echo "E-mail:<br /><input type='text' name='ank_mail' /><br />\n";
echo "* Указывайте ваш реальный адрес E-mail. На него придет код для активации аккаунта.<br />\n";
}
echo "Пароль (6-32):<br /><input type='text' name='pass1' maxlength='20' /><br />\n";
echo "<input type='radio' name='pol' value='1' checked='checked'> я — парень<br />
<input type='radio' name='pol' value='0'> я — девушка<br />\n";
echo "Регистрируясь, Вы автоматически соглашаетесь с <a href='/rules.php'>правилами</a> сайта<br />\n";
echo "<br />\n";
echo "<input type='submit' value='Продолжить' />\n";
echo "</form><br />\n";
}
else
{
echo '<div class="page_foot">';
$day_st=mktime(0, 0, 0, date('n', time()), date('j',time()));
$day_fn=mktime(0, 0, 0, date('n', time()), date('j', time())+1);
$user_reg=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `date_reg` >= '$day_st' AND `date_reg` < '$day_fn'"),0);
echo "Всего регистраций: ".mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"), 0)."<br />За последние сутки: $user_reg </a><br />\n";
echo '</div>';
echo '<div class="gend">- Ники типа: 123456 или aaaaa будут удалены!<br />
- Ник не должен содержать мат и рекламу!<br />
- После регистрации Вы получите:<br />
-Персональную страничку, доступ к которой сможете ограничить<br />
-Возможность покупать баллы сайта за смс<br />
-И не забываем в анкете вписать свой е-mаil, чтобы вы могли восстановить пароль в случае его потери</a></div><br />';
if (intval($_GET['id']))echo "<form method='post' action='/reg.php?id=$_GET[id]'>\n";
else
echo "<form method='post' action='/reg.php?'>\n";
echo "Выберите ник (3-20):<br /><input type='text' name='nick' maxlength='20' /><br />\n";

echo "<input type='submit' value='Дальше' />\n";
echo "</form>\n";
}

include_once 'sys/inc/tfoot.php';
?>